OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_SurfaceOfLinearExtrusion Class Reference

`#include <StepGeom_SurfaceOfLinearExtrusion.hxx>`

Inheritance diagram for StepGeom_SurfaceOfLinearExtrusion:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_SurfaceOfLinearExtrusion ()
| Returns a SurfaceOfLinearExtrusion .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Curve)&aSweptCurve)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Curve)&aSweptCurve, const Handle(StepGeom_Vector)&aExtrusionAxis)
Standard_EXPORT void | SetExtrusionAxis (const Handle(StepGeom_Vector)&aExtrusionAxis)
Standard_EXPORT Handle_StepGeom_Vector | ExtrusionAxis () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_Vector | extrusionAxis

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_SurfaceOfLinearExtrusion::StepGeom_SurfaceOfLinearExtrusion | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_Vector StepGeom_SurfaceOfLinearExtrusion::ExtrusionAxis | ( |  | ) | const

Standard_EXPORT const StepGeom_SurfaceOfLinearExtrusion::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_SweptSurface.

virtual Standard_EXPORT void StepGeom_SurfaceOfLinearExtrusion::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Curve)& | aSweptCurve,
|  | const Handle(StepGeom_Vector)& | aExtrusionAxis
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_SurfaceOfLinearExtrusion::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Curve)& | aSweptCurve
| ) | `[virtual]`

| Reimplemented from StepGeom_SweptSurface.

Standard_EXPORT void StepGeom_SurfaceOfLinearExtrusion::SetExtrusionAxis | ( | const Handle(StepGeom_Vector)& | aExtrusionAxis | ) |

## Field Documentation

Handle_StepGeom_Vector StepGeom_SurfaceOfLinearExtrusion::extrusionAxis`[private]`

The documentation for this class was generated from the following file:

- StepGeom_SurfaceOfLinearExtrusion.hxx